Update workspace
PATCH
Change any part of a workspace, including retiring it with active: false and the way back. It never moves between tenants. A metadata sent here replaces the stored object whole rather than merging into it.
Access: tenant_admin · API key workspaces:write
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>id*stringapplication/json- body
name?stringLength
length <= 100externalId?|Length
length <= 100timezone?string|nullmetadata?active?booleanSuccess
application/json- response
id*stringname*stringexternalId*string|nulltimezone*string|nullmetadata*active*booleanmemberCount*numbercreatedByUserId*|Format
uuidcreatedByUserName*string|nullupdatedByUserId*|Format
uuidupdatedByUserName*string|nullcreatedAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X PATCH 'https://api.poc.app.waylovoice.ai/workspaces/string' \ -H 'Authorization: Bearer sk_waylo_...' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "name": "string", "externalId": "string", "timezone": "string", "metadata": {}, "active": true, "memberCount": 0, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e", "updatedByUserName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}